.detail{
    width: 80%;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
    margin: 0 auto;
    padding: 25px;

    @media (max-width:768px) {
        justify-content: center;
    }

    .detail-cover{
        order: 0;
        width: 240px;
        height: 350px;
        border-radius: 4px;
        overflow: hidden;
        box-shadow: 0 24px 22px -15px rgb(33 33 33 / 56%);
    }

    .detail-info{
        order: -1;
        padding: 0 20px;

        @media (max-width:768px) {
            padding: 0;
        }

        .detail-info__title{
            padding-bottom: 15px;
            text-align: right;
        }

        .detail-info__authors,
        .detail-info__price,
        .detail-info__rating,
        .detail-info__publisher,
        .detail-info__number,
        .detail-info__price{
            direction: rtl;
            min-width: 300px;
            padding: 8px 0;
           display: flex;
           justify-content: space-between;
           color: #666;
        }

        .add-to-cart{
            width: 150px;
            border-radius: 10px;
            color: white;
            padding: 10px 20px;
            background-color: #00a2a4;
            border: none;
            margin: 20px 0;
            cursor: pointer;
        }
    }

    .description{
        width: 100%;
        padding: 20px 0;
        display: flex;
        flex-direction: column;
        align-items: flex-end;
        .description__title{
            padding: 15px 0;
        }

        .description__text{
            text-align: right;
            line-height: 24px;
        }
    }
}